% visualization of cosine wave in two dimensions
% plots of cos(2 \pi n_1/16 +2 \pi n_2 /16).
clear
f1=1/16;
f2=1/16;
for i1=1:21,
   arg1=2*pi*f1*(i1-10);
   for i2=1:21,
      arg2=2*pi*f2*(i2-10);
      signal(i1,i2)=cos(arg1)*cos(arg2)-sin(arg1)*sin(arg2);
   end
end
figure(1)
stem3(signal)
title('(stem) plot of cos(2 \pi n_1/16 +2 \pi n_2 /16)')
xlabel('n_1')
ylabel('n_2')
figure(2)
contour(signal)
title('contour plot of cos(2 \pi n_1/16 +2 \pi n_2 /16)')
xlabel('n_1')
ylabel('n_2')
figure(3)
mesh(signal)
title('perspective plot of cos(2 \pi n_1/16 +2 \pi n_2 /16)')
xlabel('n_1')
ylabel('n_2')