% visualization of cosine wave in two dimensions
% plots of cos(2 \pi 2 n_1/15 +2 \pi n_2 /15).
clear
f1=2/15;
f2=1/15;
for i1=1:2048,
   arg1=2*pi*f1*(i1-1);
   for i2=1:2048,
      arg2=2*pi*f2*(i2-1);
      signal(i1,i2)=cos(arg1)*cos(arg2)-sin(arg1)*sin(arg2);
      signalpos(i1,i2)=127*(signal(i1,i2)+1);
   end
end
isig=uint8(signalpos);
colormap(gray(256))
image(signalpos)
imwrite(isig,'Cos2048.tif','tiff')