%plots the DFT magnitude and DCT amplitude of a 2-D planar signal
%
clear
N=8;
for i1=1:N,
   n1=i1-1;
   for i2=1:N;
      n2=i2-1;
      signal(i1,i2)=20*(1-(n1+n2)/(2*N));
   end
end
figure(1)
stem3(signal)
title('a planar signal')
xlabel('n_1 +1')
ylabel('n_2 +1')
zlabel('x(n_1,n_2)')
x=fft(signal);
xm=abs(x);
figure(2)
stem3(xm)
title('magnitude of the DFT')
xlabel('k_1 +1    -  N=8')
ylabel('k_2 +1')
zlabel('|X(k_1,k_2)|')
xc=dct(signal);
figure(3)
stem3(xc)
title('the DCT values')
xlabel('k_1 +1   N=8')
ylabel('k_2 +1')
zlabel('X_C(k_1,k_2)')
