% frequency analysis of first four basis functions of
% N=8 point DCT.  Frequency analysis via 1024 pt. DFT.
% Results are overploted for k=0,1,2,and 3.
%
clear
figure(1)
k=0;
N=8;
for n=1:N
    n1=n-1;
    h0(n)=cos(pi*k*(2*n1+1)/(2*N));
end
H0=freqz(h0);
AH0=abs(H0);
plot(AH0)
hold on
k=1;
N=8;
for n=1:N
    n1=n-1;
    h1(n)=cos(pi*k*(2*n1+1)/(2*N));
end
H1=freqz(h1);
AH1=abs(H1);
plot(AH1)
hold on
k=2;
N=8;
for n=1:N
    n1=n-1;
    h2(n)=cos(pi*k*(2*n1+1)/(2*N));
end
H2=freqz(h2);
AH2=abs(H2);
plot(AH2)
hold on
k=3;
N=8;
for n=1:N
    n1=n-1;
    h3(n)=cos(pi*k*(2*n1+1)/(2*N));
end
H3=freqz(h3);
AH3=abs(H3);
plot(AH3)
title('frequency analysis of first four basis functions of 8-pt. DCT')
xlabel('k+1 index from 1024 pt. DFT')
