% An example comparison of 1-D DFT and DCT,
% frequencies modified with multiplication by alpha=1.2,
% for unmodified signal, set alpha = 1.0 .
% 
clear
N=16;
alpha=1.2;
beta1=alpha*pi/(2*N);
beta2=alpha*10*pi/(2*N);
for i1=1:N,
   n=i1-1;
   signal(i1)=10+8*cos(beta1*(2*n+1))+2*cos(beta2*(2*n+1));
end
figure(1)
stem(signal)
title('plot of signal x(n)')
xlabel('n+1')
ylabel('x(n)')
x=fft(signal);
xm=abs(x);
figure(2)
stem(xm)
title('N-point DFT magnitude |X(k)|')
xlabel('k+1')
ylabel('|X(k)|')
xc=dct(signal);
figure(3)
stem(xc)
title('N-point DCT X_C(k)|')
xlabel('k+1')
ylabel('X_C(k)')

