% one-dimensional DCT example from Chapter 4, (Example 4.3-1)
% the 1-D DCT of a triangle waveform with support on [0,15]
% evaluated for N=16
%
clear
N=16;
for i1=1:N,
   n=i1-1;
   signal(i1)=20*(1-n/N);
end
figure(1)
stem(signal)
title('triangular signal x(n)=20(1-n/N) over [0,N-1]')
xlabel('n+1')
ylabel('x(n)')
figure(2)
x=fft(signal);
xm=abs(x);
stem(xm)
title('magnitude of DFT of triangular signal')
xlabel('k+1')
ylabel('|X(k)|')
figure(3)
xc=dct(signal);
stem(xc)
title('plot of DCT of triangular signal')
xlabel('k+1')
ylabel('X_C(k)')
