% frequency response plots of Daubechies 9/7 filter bank
% analysis lowpass
clear
h0=[0.026749, -0.016864, -0.078223, 0.266864, 0.602949, 0.266864, -0.078223, -0.016864, 0.026749]';
H0=freqz(h0);
AH0=abs(H0);
figure(1)
plot(AH0)
title('analysis lowpass and highpass filter response')
xlabel('k, the index of 512 point DFT')
ylabel('|H_0(k)|')
hold on
%
% analysis highpass
%
h1=[0.045636, -0.028772, -0.295636, 0.557543, -0.295636, -0.028772, 0.045636]';
H1=freqz(h1);
AH1=abs(H1);
plot(AH1)
%
% synthesis lowpass
%
figure(2)
g0=[-0.045636, -0.028772, 0.295636, 0.557543, 0.295636, -0.028772, -0.045636]';
G0=freqz(g0);
AG0=abs(G0);
plot(AG0)
title('synthesis lowpass and highpass filter response')
xlabel('k, the index of 512 point DFT')
ylabel('|H_0(k)|')

hold on
%
% synthesis highpass
%
g1=[0.026749, 0.016864, -0.078223, -0.266864, 0.602949, -0.266864, -0.078223, 0.016864, 0.026749]';
G1=freqz(g1);
AG1=abs(G1);
plot(AG1)
%
% step response of analysis lowpass filter h0
%
figure(3)
sh0=zeros(50,1);
for i=21:29,
   i1=i-20;
   for j=1:i1,
      sh0(i)=sh0(i)+h0(j);
   end
end
steady=sh0(29);
for i=30:50,
   sh0(i)=steady;
end
plot(sh0)
title('step response of analysis lowpass filter, delayed by 20 points')
xlabel('n+20')
%
% step response of synthesis lowpass filter g0
%
figure(4)
sg0=zeros(50,1);
for i=21:27,
   i1=i-20;
   for j=1:i1,
      sg0(i)=sg0(i)+g0(j);
   end
end
steady=sg0(27);
for i=28:50,
   sg0(i)=steady;
end
plot(sg0)
title('step response of syntehsis lowpass filter, delayed by 20 points')
xlabel('n+20')

   
   

