% FT of J_1 in two dimensions on rect grid
% plots of Mag of FT of J_1.
clear
epsilon=1/100,000;
omegac=pi/2;
for i1=1:64,
   arg1=(i1-33);
   for i2=1:64,
      arg2=(i2-33);
      x=omegac*sqrt(arg1^2+arg2^2);
      signal(i1,i2)=(omegac/(2*pi))*besselj(1,x)/(x+epsilon);
   end
end
X=fft2(signal,64,64);
M=abs(X);
figure(1)
stem3(M)
title('(stem) plot of Mag of 2-D FT of J_1 on rect grid')
xlabel('k_1')
ylabel('k_2')
figure(2)
contour(M)
title('contour plot of Mag of 2-D FT of J_1 on rect grid')
xlabel('k_1')
ylabel('k_2')
figure(3)
mesh(M)
title('perspective plot of Mag of 2-D FT of J_1 on rect grid')
xlabel('k_1')
ylabel('k_2')
