% This program designs a spatial highpass filter by McClellan transform
% and applies it to a .jpg image read in via imread.  The filter comes
% from a 1-D prototype lowpass filter designed by the Remez algorithm.

clear
b = remez(10,[0 0.2 0.6 1],[0 0 1 1]);
T=[1 2 1;
   2 -4 2;
   1 2 1]/8
h = ftrans2(b,T);
figure(1)
freqz2(h)
title('McClellan transformed highpass filter response')
figure(2)
x=imread('lena512orig','jpg');
imshow(x)
title('input image - 512x512')
x=rgb2gray(x);
x=double(x);
h=double(h);
y=filter2(h,x);
y=128+2*y;

figure(3)
imshow(y,[0 255])
title('highpass filtered image')
figure(4)
z=x-y;
z=z+128;
imshow(z,[0 255])
title('difference image')
        

        
        
        