% calculates the spectrum of typical image
% based on equation in Example 8.1-2 of Chap. 8, and 
% plots on log scale perspective and contour plots
clear
K=2*pi/(42.19)^2;
omega0=pi/42.19;
for i=1:64
   omega1=pi*(i-32)/32;
   for j=1:64
      omega2=pi*(j-32)/32;
      Sx(i,j)=K/(1+(omega1^2+omega2^2)/omega0^2)^1.5;
   end
end
SxdB=10*log10(Sx);
figure(1)
[X,Y]=meshgrid(1:1:64,1:1:64);
mesh(X,Y,SxdB)
title('a spectral density model for images')
xlabel('k_1 +1 - 64x64 DFT, origin in middle')
ylabel('k_2 +1')
zlabel('|H(k_1,k_2)| (dB)') 
figure(2)
contour(SxdB)
title('contours (dB)of a spectral density model for images')
xlabel('k_1+1  - 64x64 DFT, origin in middle')
ylabel('k_2 +1')


    