% calculates the 2-D CIRCULAR Kaiser windowed lowpass
% filter and displays perspective and contour plots in 
% the frequency domain and both stem and contour plots 
% in the space domain.
%
clear
Ns=input('Input filter length (must be odd) :=');
beta=input('Input beta for Kaiser window :=');
rc=input('Input cutoff frequency (max|f|=1) f:=');
[f1,f2] = freqspace(21,'meshgrid');
Hd = ones(21);
r = sqrt(f1.^2 + f2.^2);
Hd((r>rc)) = 0;
win = kaiser(Ns,beta);
h = fwind1(Hd,win);
figure(1)
Z=freqz2(h);
[X,Y]=meshgrid(1:1:64,1:1:64);
mesh(X,Y,Z)
title('designed filter magnitude response - origin in middle')
xlabel('k_1 + 1    - 64x64 DFT')
ylabel('k_2 +1')
zlabel('|H(k_1,k_2)|')
figure(2)
contour(Z)
title('contour plot of magnitude response - origin in middle')
xlabel('k_1 +1    - 64x64 DFT')
ylabel('k_2 +1')
figure(3)
[x,y]=meshgrid(1:1:Ns,1:1:Ns);
stem3(x,y,h,'filled')
title('filter impulse response')
xlabel('n_1 +1')
ylabel('n_2 +1')
zlabel('h(n_1,n_2)')
figure(4)
contour(h)
title('contour plot of impulse response')
xlabel('n_1 +1')
ylabel('n_2 +1')
    