% calculates the 2-D SEPARABLE Kaiser windowed lowpass
% filter and enhances it per Example 11.1-3 and then 
% applies it to a Bar image.
clear
Ns=input('Input filter length (must be odd) :=');
beta=input('Input beta for Kaiser window :=');
rc=input('Input cutoff frequency (max|f|=1) f:=');
[f1,f2] = freqspace(21,'meshgrid');
Hd = ones(21);
r = sqrt(f1.^2 + f2.^2);
Hd((r>rc)) = 0;
win = kaiser(Ns,beta);
h = fwind1(Hd,win,win);
figure(1)
Z=freqz2(h);
[X,Y]=meshgrid(1:1:64,1:1:64);
mesh(X,Y,Z)
title('designed filter magnitude response - origin in middle')
xlabel('k_1 + 1    - 64x64 DFT')
ylabel('k_2 +1')
zlabel('|H(k_1,k_2)|')
alph=input('Input a value alpha for enhancement filter :=');
alph2 = alph/2;
alph1 =1+alph;
hen=[-alph2 0 alph1 0 -alph2];
h1=conv2(h,hen);
h2=conv2(h1,hen');
figure(2)
Z=freqz2(h2);
[X,Y]=meshgrid(1:1:64,1:1:64);
mesh(X,Y,Z)
title('enhanced filter magnitude response - origin in middle')
xlabel('k_1 + 1    - 64x64 DFT')
ylabel('k_2 +1')
zlabel('|H(k_1,k_2)|')
h=h2;
% Read in Bar image (x) and filter it using FIR filter
% h computed by a previous program to get output (y) image
%
x=imread('Bar','jpg');
figure(1)
%imshow(x)
%title('input image - 512x512')
%x=rgb2gray(x);
x=double(x);
h=double(h);
y=filter2(h,x);
figure(3)
imshow(y,[0 255]) 
title('filtered image \alpha=');
