% calculates the 2-D CIRCULAR Kaiser windowed lowpass
% filter and displays prespective and contour plots in 
% the frequency domain and both stem and contour plots 
% in the space domain.
clear
Ns=input('Input square filter order :=');
beta=input('Input beta for Kaiser window :=');
rc=input('Input cutoff frequency |fmax|=1) f:=');
rc=2*rc;
[f1,f2] = freqspace(21,'meshgrid');
Hd = ones(21);
r = sqrt(f1.^2 + f2.^2);
Hd((r>rc)) = 0;
win = kaiser(Ns,beta);
h = fwind1(Hd,win);
figure(1)
Z=freqz2(h);
[X,Y]=meshgrid(1:1:64,1:1:64);
mesh(X,Y,Z)
title('filter magnitude response   NxN=64x64')
xlabel('k_1 +1')
ylabel('k_2 +1')
zlabel('|H(k_1,k_2)|')
figure(2)
contour(Z)
title('contour plot of magnitude response')
xlabel('k_1 +1   -  NxN=64x64')
ylabel('k_2 +1')
figure(3)
[x,y]=meshgrid(1:1:Ns,1:1:Ns);
stem3(x,y,h,'filled')
title('filter impulse response')
xlabel('n_1+1')
ylabel('n_2 +1')
zlabel('h(n_1,n_2)')
figure(4)
contour(h)
title('contour plor of impulse response')
xlabel('n_1+1')
ylabel('n_2 +1')
x=imread('eric100','jpg');
imshow(x)
title('input image')
x=double(x);
h=double(h);
y=filter2(h,x);
figure(5)
imshow(y,[0 255])
title('filtered or output image')
figure(6)
z=x-y;
z=z+128;
imshow(z,[0 255])
title('difference image biased up by 128')       


    